package com.ruoyi.framework.recovery.domain.vo;

import java.util.Date;

public class UserCouponsVo {
    /**
     * id
     */
    private Long id;

    /**
     * 用户openid
     */
    private String openId;

    /**
     * 优惠卷id
     */
    private Long couponsId;

    /**
     * 优惠卷名称
     */
    private String couponsName;

    /**
     * 创建时间
     */
    private Date createDate;

    /**
     * 更新时间
     */
    private Date updateDate;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public Long getCouponsId() {
        return couponsId;
    }

    public void setCouponsId(Long couponsId) {
        this.couponsId = couponsId;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public String getCouponsName() {
        return couponsName;
    }

    public void setCouponsName(String couponsName) {
        this.couponsName = couponsName;
    }

    @Override
    public String toString() {
        return "UserCouponsVo{" +
                "id=" + id +
                ", openId='" + openId + '\'' +
                ", couponsId=" + couponsId +
                ", couponsName='" + couponsName + '\'' +
                ", createDate=" + createDate +
                ", updateDate=" + updateDate +
                '}';
    }
}
